NXWidgets: NxWM::SCalibrationData Struct Reference

NXWidgets 1.19

Public Attributes | List of all members
NxWM::SCalibrationData Struct Reference

`#include <ccalibration.hxx>`

## Public Attributes
struct SCalibrationLine | left
struct SCalibrationLine | right
struct SCalibrationLine | top
struct SCalibrationLine | bottom
nxgl_coord_t | leftX
nxgl_coord_t | rightX
nxgl_coord_t | topY
nxgl_coord_t | bottomY
b16_t | xSlope
b16_t | xOffset
b16_t | ySlope
b16_t | yOffset

## Detailed Description

Definition at line 95 of file ccalibration.hxx.

## Member Data Documentation

## ◆ bottom

struct SCalibrationLine NxWM::SCalibrationData::bottom

Describes X values along bottom edge

Definition at line 100 of file ccalibration.hxx.

## ◆ bottomY

nxgl_coord_t NxWM::SCalibrationData::bottomY

Bottom Y value used in calibration

Definition at line 104 of file ccalibration.hxx.

## ◆ left

struct SCalibrationLine NxWM::SCalibrationData::left

Describes Y values along left edge

Definition at line 97 of file ccalibration.hxx.

## ◆ leftX

nxgl_coord_t NxWM::SCalibrationData::leftX

Left X value used in calibration

Definition at line 101 of file ccalibration.hxx.

## ◆ right

struct SCalibrationLine NxWM::SCalibrationData::right

Describes Y values along right edge

Definition at line 98 of file ccalibration.hxx.

## ◆ rightX

nxgl_coord_t NxWM::SCalibrationData::rightX

Right X value used in calibration

Definition at line 102 of file ccalibration.hxx.

## ◆ top

struct SCalibrationLine NxWM::SCalibrationData::top

Describes X values along top

Definition at line 99 of file ccalibration.hxx.

## ◆ topY

nxgl_coord_t NxWM::SCalibrationData::topY

Top Y value used in calibration

Definition at line 103 of file ccalibration.hxx.

## ◆ xOffset

b16_t NxWM::SCalibrationData::xOffset

Definition at line 111 of file ccalibration.hxx.

## ◆ xSlope

b16_t NxWM::SCalibrationData::xSlope

X conversion: xSlope*(x) + xOffset

Definition at line 110 of file ccalibration.hxx.

## ◆ yOffset

b16_t NxWM::SCalibrationData::yOffset

Definition at line 113 of file ccalibration.hxx.

## ◆ ySlope

b16_t NxWM::SCalibrationData::ySlope

Y conversion: ySlope*(y) + yOffset

Definition at line 112 of file ccalibration.hxx.

The documentation for this struct was generated from the following file:

- ccalibration.hxx